.animation-fade-in{
    opacity: 0 !important;
    transition: 1000ms 100ms ease !important;
}

.animation-fade-in.visible{
    opacity: 1 !important;
}

.animation-fade-in-up{
    opacity: 0 !important;
    transform: translateY(50px) !important;
    transition: 1000ms 100ms ease !important;
}

.animation-fade-in-up.visible{
    opacity: 1 !important;
    transform: translateY(0) !important;
}

.animation-fade-in-up-children > *{
    opacity: 0 !important;
    transform: translateY(50px) !important;
    transition: 300ms ease !important;
}

.animation-fade-in-up-children > .visible{
    opacity: 1 !important;
    transform: translateY(0) !important;
}

.animation-fade-in-up-children-jet-listing-grid .jet-listing-grid__item{
    opacity: 0 !important;
    transform: translateY(30px) !important;
    transition: 250ms ease !important;
}

.animation-fade-in-up-children-jet-listing-grid .jet-listing-grid__item.visible{
    opacity: 1 !important;
    transform: translateY(0) !important;
}

.animation-listing-fade-in-up-slider .slick-slide{
    opacity: 0 !important;
    transform: translateY(50px) !important;
    transition: 250ms ease !important;
}

.animation-listing-fade-in-up-slider .slick-slide.visible{
    opacity: 1 !important;
    transform: translateY(0) !important;
}

.jet-listing-grid__item .animation-listing-zoom-on-hover{
    /* overflow: hidden !important; */
}

.jet-listing-grid__item .animation-listing-zoom-on-hover img{
    transition: 400ms;
}

.jet-listing-grid__item:hover .animation-listing-zoom-on-hover img{
    transform: scale(1.1) !important;
    transition: 400ms;
}

.has-animation-listing-item-opacity-hover .jet-listing-grid__item{
    transition: 200ms;
}

.has-animation-listing-item-opacity-hover .jet-listing-grid__item:hover{
    opacity: .87 !important;
    transition: 200ms;
}

.has-gallery-infinite-scroll-animation{
    overflow-x: hidden !important;
    flex-wrap: nowrap !important;
}

.has-gallery-infinite-scroll-animation > *{
    min-width: max-content !important;
    flex-wrap: nowrap !important;
    animation: 40s linear infinite infiniteScroll;
    position: relative !important;
}

.has-gallery-infinite-scroll-animation.inversed > *{
    animation: 40s linear infinite infiniteScrollInversed;
}

.has-header-hover-jet-listing-item-fade-in-animation .jet-listing-grid__item{
    opacity: 0 !important;
    position: relative !important;
    left: -20px;
    transition: 150ms;
}

.header-nav-item.has-mega-menu:hover .has-header-hover-jet-listing-item-fade-in-animation .jet-listing-grid__item,
.is-mega-menu-container.active .has-header-hover-jet-listing-item-fade-in-animation .jet-listing-grid__item{
    opacity: 1 !important;
    left: 0px !important;
    transition: 150ms;
}



/* .rotating-text::after{
    content: "";
    width: calc(100% + 32px);
    height: 90%;
    background-color: #0035E6;
    border-radius: 60px;
    display: inline-block;
    position: absolute;
    top: 56%;
    left: 50%;
    z-index: -1;
    transform: translate(-50%, -50%);
} */


@keyframes moveArrow {
    0% {
        transform: translateX(0); /* Position d'origine */
    }
    30% {
        transform: translateX(-5px); /* Recule vers la gauche */
    }
    60% {
        transform: translateX(10px); /* Avance vers la droite */
    }
    100% {
        transform: translateX(0); /* Retour à la position d'origine */
    }
}

@keyframes infiniteScroll {
    0% {
        left: 0%;
    }
    100% {
        left: -80%;
    }
}

@keyframes infiniteScrollInversed{
    0% {
        left: -80%;
    }
    100% {
        left: 0%;
    }
}

@media only screen and (max-width: 767px) and (min-width: 0px){
    .has-mobile-gallery-infinite-scroll-animation{
        overflow-x: hidden !important;
        flex-wrap: nowrap !important;
    }

    .has-mobile-gallery-infinite-scroll-animation > *{
        min-width: max-content !important;
        align-items: start !important;
        flex-wrap: nowrap !important;
        animation: 20s linear infinite infiniteScroll;
        position: relative !important;
    }

    .has-mobile-gallery-infinite-scroll-animation.inversed > *{
        animation: 20s linear infinite infiniteScrollInversed;
    }

    .has-gallery-infinite-scroll-animation > *{
        /* animation: 15s linear infinite infiniteScroll; */
    }

    .has-gallery-infinite-scroll-animation.inversed > *{
        /* animation: 15s linear infinite infiniteScrollInversed; */
    }

    @keyframes infiniteScroll {
        0% {
            left: 20%;
        }
        100% {
            left: -400%;
        }
    }
}


